QwtSplineCurveFitter(3)

NAME
QwtSplineCurveFitter - A curve fitter using a spline interpolation.

SYNOPSIS

#include <qwt_spline_curve_fitter.h>

Inherits QwtCurveFitter.

  Public Member Functions
QwtSplineCurveFitter ()
Constructor.
virtual ~QwtSplineCurveFitter ()
Destructor.
void setSpline (QwtSpline *)
const QwtSpline * spline () const
QwtSpline * spline ()
virtual QPolygonF fitCurve (const QPolygonF &) const override
virtual QPainterPath fitCurvePath (const QPolygonF &) const override

  Additional Inherited Members

Detailed Description

A curve fitter using a spline interpolation. The default setting for the spline is a cardinal spline with uniform parametrization.

See also
    QwtSpline, QwtSplineLocal

Definition at line 25 of file qwt_spline_curve_fitter.h.

Member Function Documentation

  QPolygonF QwtSplineCurveFitter::fitCurve (const QPolygonF & points) const [override], [virtual]
Find a curve which has the best fit to a series of data points

Parameters
    points Series of data points

Returns
    Fitted Curve

See also
    fitCurvePath()

Implements QwtCurveFitter.

Definition at line 75 of file qwt_spline_curve_fitter.cpp.

  QPainterPath QwtSplineCurveFitter::fitCurvePath (const QPolygonF & points) const [override], [virtual]
Find a curve path which has the best fit to a series of data points

Parameters
    points Series of data points

Returns
    Fitted Curve

See also
    fitCurve()

Implements QwtCurveFitter.

Definition at line 94 of file qwt_spline_curve_fitter.cpp.

  void QwtSplineCurveFitter::setSpline (QwtSpline * spline)
Assign a spline

The spline needs to be allocated by new and will be deleted in the destructor of the fitter.

Parameters
    spline Spline

See also
    spline()

Definition at line 40 of file qwt_spline_curve_fitter.cpp.

  QwtSpline * QwtSplineCurveFitter::spline ()

Returns
    Spline

See also
    setSpline()

Definition at line 62 of file qwt_spline_curve_fitter.cpp.

  const QwtSpline * QwtSplineCurveFitter::spline () const

Returns
    Spline

See also
    setSpline()

Definition at line 53 of file qwt_spline_curve_fitter.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.